using System;
using System.Data.Entity;
using System.Data.Entity.Infrastructure;
using DataProject.Entities;
using DataProject.Mapping;

namespace DataProject
{
	public class KfzContext6Context : DbContext
	{
		static KfzContext6Context()
		{ 
			Database.SetInitializer<KfzContext6Context>(null);
		}

		public DbSet<Benutzer> Benutzers { get; set; }
		public DbSet<Fahrzeuge> Fahrzeuges { get; set; }
		public DbSet<Positionen> Positionens { get; set; }
		public DbSet<SmsProtokoll> SmsProtokolls { get; set; }
		public DbSet<Tarife> Tarifes { get; set; }

        protected override void OnModelCreating(DbModelBuilder modelBuilder)
		{
            modelBuilder.Conventions.Remove<IncludeMetadataConvention>();
			modelBuilder.Configurations.Add(new BenutzerMap());
			modelBuilder.Configurations.Add(new FahrzeugeMap());
			modelBuilder.Configurations.Add(new PositionenMap());
			modelBuilder.Configurations.Add(new SmsProtokollMap());
			modelBuilder.Configurations.Add(new TarifeMap());
		}
	}
}

