using System;
using System.Data.Entity.ModelConfiguration;
using System.Data.Common;
using System.Data.Entity;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using DataProject.Entities;

namespace DataProject.Mapping
{
	public class FahrzeugeMap : EntityTypeConfiguration<Fahrzeuge>
	{
		public FahrzeugeMap()
		{
			// Primary Key
			this.HasKey(t => t.ID);

			// Properties
			this.Property(t => t.Name)
				.IsRequired()
				.HasMaxLength(50);
				
			this.Property(t => t.Kennzeichen)
				.IsRequired()
				.HasMaxLength(50);
				
			this.Property(t => t.Bemerkung)
				.HasMaxLength(4000);
				
			// Table & Column Mappings
			this.ToTable("Fahrzeuge");
			this.Property(t => t.ID).HasColumnName("ID");
			this.Property(t => t.Name).HasColumnName("Name");
			this.Property(t => t.Kennzeichen).HasColumnName("Kennzeichen");
			this.Property(t => t.Rufnummer).HasColumnName("Rufnummer");
			this.Property(t => t.Aktiv).HasColumnName("Aktiv");
			this.Property(t => t.Ablaufsimkarte).HasColumnName("Ablaufsimkarte");
			this.Property(t => t.Bemerkung).HasColumnName("Bemerkung");
		}
	}
}

