using System;
using System.Data.Entity.ModelConfiguration;
using System.Data.Common;
using System.Data.Entity;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using DataProject.Entities;

namespace DataProject.Mapping
{
	public class PositionenMap : EntityTypeConfiguration<Positionen>
	{
		public PositionenMap()
		{
			// Primary Key
			this.HasKey(t => t.ID);

			// Properties
			// Table & Column Mappings
			this.ToTable("Positionen");
			this.Property(t => t.ID).HasColumnName("ID");
			this.Property(t => t.FahrzeugID).HasColumnName("FahrzeugID");
			this.Property(t => t.Position).HasColumnName("Position");
			this.Property(t => t.Datum).HasColumnName("Datum");
			this.Property(t => t.Sensor1).HasColumnName("Sensor1");
			this.Property(t => t.Sensor2).HasColumnName("Sensor2");
			this.Property(t => t.Sensor3).HasColumnName("Sensor3");
			this.Property(t => t.Sensor4).HasColumnName("Sensor4");
			this.Property(t => t.Geschwindigkeit).HasColumnName("Geschwindigkeit");
			this.Property(t => t.Fahrzeuge_ID).HasColumnName("Fahrzeuge_ID");

			// Relationships
			this.HasOptional(t => t.Fahrzeuge)
				.WithMany(t => t.Positionens)
				.HasForeignKey(d => d.Fahrzeuge_ID);
				
		}
	}
}

