﻿using System;
using System.ComponentModel;
using System.Data;
using System.Data.Entity;
using System.Data.Entity.Infrastructure;
using System.Diagnostics;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using DataProject;
using DataProject.Entities;
using Telerik.Windows.Controls;

namespace DummyProject1.Modells
{
    /// <summary>
    /// Interaktionslogik für FahrzeugControl.xaml
    /// </summary>
    public partial class FZControl
    {
        #region Übergreifende Variablen
        // --------------------------------------------------------------------------
        private KfzContext6Context _kt = new KfzContext6Context();        
        #endregion

        #region Initialisierung ** FahrzeugControl **
        // --------------------------------------------------------------------------
        /// <summary>
        /// Initialisierung
        /// </summary>
        // --------------------------------------------------------------------------
        public FZControl()
        {         
            InitializeComponent();
            _kt.Fahrzeuges.Load();
        }
        #endregion

        private void button1_Click(object sender, RoutedEventArgs e)
        {
            Random random = new Random();
            var r  = random.Next(1, 1000); 

            Fahrzeuge fz = new Fahrzeuge { ID = Guid.NewGuid(), Name = "Car" + r.ToString(), Ablaufsimkarte = new DateTime(2011, 1, 1), Kennzeichen = "SAD-TT-" + r.ToString() };
            _kt.Fahrzeuges.Add(fz);
            _kt.SaveChanges();

            var tc = _kt.Fahrzeuges.Find(fz.ID);
            FahrzeugGrid.SelectedItem = tc;

			FahrzeugGrid.ScrollIntoViewAsync(tc, null);
        }

        private void FahrzeugControl1_Loaded(object sender, RoutedEventArgs e)
        {

            if (!System.ComponentModel.DesignerProperties.GetIsInDesignMode(this))
            {
                var c = _kt.Fahrzeuges.Local;
            	CollectionViewSource myCollectionViewSource = (CollectionViewSource)this.Resources["fahrzeugeViewSource"];
             	myCollectionViewSource.Source = c;
            }
        }

    }
}
