﻿using System;
using System.ComponentModel;
using System.Data;
using System.Data.Entity;
using System.Data.Entity.Infrastructure;
using System.Diagnostics;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using DataProject;
using DataProject.Entities;
using Telerik.Windows.Controls;
using Telerik.Windows.Data;

namespace DummyProject1.Modells
{
    /// <summary>
    /// Interaktionslogik für FahrzeugControl.xaml
    /// </summary>
    public partial class FahrzeugControl
    {
        #region Übergreifende Variablen
        // --------------------------------------------------------------------------
        private KfzContext6Context _kt = new KfzContext6Context();        
        #endregion

        #region Initialisierung ** FahrzeugControl **
        // --------------------------------------------------------------------------
        /// <summary>
        /// Initialisierung
        /// </summary>
        // --------------------------------------------------------------------------
        public FahrzeugControl()
        {         
            InitializeComponent();
            _kt.Fahrzeuges.Load();
            DataContext = ItemsSource;
        }
        #endregion

        #region CollectionViewSource
        // --------------------------------------------------------------------------
        /// <summary>
        /// Datensource definieren!
        /// </summary>
        // --------------------------------------------------------------------------
        ICollectionView _itemsSource;
        public ICollectionView ItemsSource
        {
            get
            {
                var c = _kt.Fahrzeuges.Local;
                if (_itemsSource == null)
                {
					var collectionViewSource = new CollectionViewSource { Source = c };

					var sd1 = new SortDescription { Direction = ListSortDirection.Descending, PropertyName = "Name" };
					collectionViewSource.SortDescriptions.Add(sd1);
					var sd2 = new SortDescription { Direction = ListSortDirection.Descending, PropertyName = "Rufnummer" };
					collectionViewSource.SortDescriptions.Add(sd1);
					var sd3 = new SortDescription { Direction = ListSortDirection.Descending, PropertyName = "Ablaufsimkarte" };
					collectionViewSource.SortDescriptions.Add(sd3);

					_itemsSource = collectionViewSource.View;
                }
                return _itemsSource;
            }
        }
        #endregion

        private void button1_Click(object sender, RoutedEventArgs e)
        {
            Random random = new Random();
            var r  = random.Next(1, 1000); 

            Fahrzeuge fz = new Fahrzeuge { ID = Guid.NewGuid(), Name = "Car" + r.ToString(), Ablaufsimkarte = new DateTime(2011, 1, 1), Kennzeichen = "SAD-TT-" + r.ToString() };
            _kt.Fahrzeuges.Add(fz);
            _kt.SaveChanges();

            var tc = _kt.Fahrzeuges.Find(fz.ID);

		    FahrzeugGrid.SelectedItem = tc;
            FahrzeugGrid.CurrentItem = tc;

			FahrzeugGrid.ScrollIntoViewAsync(tc, null);
        }
    }
}
